<?php
//YANMAH2 - Yet ANother Mobile Accelerated HatenaHaiku
//(c) 2012 YANMAH2 project
//This program is freesoftware. you can redistribute it and/ormodify it under the terms of the [GNU Affero GPL v3](http://www.gnu.org/licenses/agpl.html).
?>
<?php
define("HELLO","world");
require_once "product_definitions.php";
require_once "configurable_variables.php";
require_once "common_functions.php";
?>
<?php
require_once 'init_processor.php';
if (!isset($_SESSION['auth']) || $_SESSION['auth'] != TRUE){
// if ($_SESSION['image'] != 'on'){
  $_SESSION = array();
  if (isset($_COOKIE[session_name()])){
	setcookie(session_name(), '', time() - 42000, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER["SERVER_NAME"]);
  }
  session_destroy();
// }
}
//session_regenerate_id(TRUE);
if (isset($_GET['with']) || isset($_GET['log'])){
  require 'login_processor.php';
}
?>
<?php
$selfcall = htmlspecialchars($_SERVER["PHP_SELF"], ENT_QUOTES);
$self_anchor = "http://{$_SERVER["SERVER_NAME"]}{$selfcall}";
if ($get_image == 'on'){
		$self_anchor_with_imagemode = $self_anchor . '?image=on';
} else {
		$self_anchor_with_imagemode = $self_anchor . '?image=off';
}
$relog_back = $self_anchor_with_imagemode . '&log=try';
$relogin = $self_anchor_with_imagemode . '&amp;with=haiku&amp;callback='.rawurlencode(rawurldecode($relog_back));
//echo ini_get("include_path");
$echo = <<<EOL
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset={$meta_charset}" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />
	<meta name="viewport" content="initial-scale={$iscale}, minimum-scale=0.1" />
	<title>{$site_name} {$site_name_caption}</title>
	<link rel="stylesheet" href="{$style_sheet}" />
	<link rel="icon" href="./favicon.ico" type="image/vnd.microsoft.icon" />
	<link rel="shortcut icon" href="./favicon.ico" type="image/vnd.microsoft.icon" />
	<link rel="apple-touch-icon" href="./apple-touch-icon.png" />
</head>
<body>
EOL;
?>
<?php
$echo = $echo . echoCommonHeader('#com-ftr', $self_anchor_with_imagemode) . "<hr />\n";
$echo = $echo . '<div id="header">';
$echo = $echo . "<h1 id=\"index-head\" class=\"head1\">{$site_name}</h1>\n";
$echo = $echo . "<p class=\"caption\">by <abbr title=\"{$product_name_full}\">{$product_name_abbr}</abbr> Ver.{$product_version}</p>\n";
$echo = $echo . <<<EOL
</div>
<div id="index-contents" class="contents">
EOL;
// var_dump($_SESSION);
if (isset($_SESSION['oauth_stat'])){
  $echo = $echo . '<div class="oauth-res">'."\n";
  if ($_SESSION['oauth_stat'] === TRUE) {
	$echo = $echo . "<span>アクセストークンを更新しました。</span>\n";
  } else {
	$echo = $echo . "<span>アクセストークンを取得できませんでした。</span>\n";
	$echo = $echo . "<blockquote>{$_SESSION['oauth_stat']}</blockquote>";
  }
  $echo = $echo . '</div>'."\n";
}
$echo = $echo . <<<EOL
<div class="index-content">
<h2 id="users-index-head">ユーザーのページ</h2>
<ul>
EOL;
if (isset($_SESSION['auth']) && $_SESSION['auth'] === TRUE){
  $echo = $echo . "<li><a href=\"./entries.php?following={$_SESSION['hatenaid']}\n";
  if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '&amp;image=on';
  $echo = $echo . "\" class=\"user\">{$_SESSION['hatenaid']} のアンテナ</a></li>\n";
  $echo = $echo . "<li><a href=\"./entries.php?user={$_SESSION['hatenaid']}";
  if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '&amp;image=on';
  $echo = $echo . "\" class=\"user\">{$_SESSION['hatenaid']} のエントリー</a></li>\n";
  $echo = $echo . "<li><a href=\"./entries.php?favours={$_SESSION['hatenaid']}";
  if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . "&amp;image=on";
  $echo = $echo . "\" class=\"user\">{$_SESSION['hatenaid']} のお気に入り</a></li>\n";
  $echo = $echo . "<li><a href=\"{$relogin}\" class=\"user\">再認証</a></li>";
} else {
  $echo = $echo . '<li><form method="get" action="./entries.php">';
  $echo = $echo . '<label for="userflw">id:</label><input type="text" name="following" maxlength="32" id="userflw"/><label for="userflw">のアンテナを</label><input type="submit" value="表示" />';
  if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '<input type="hidden" name="image" value="on" />';
  $echo = $echo . '</form></li>'."\n";
  $echo = $echo . '<li><form method="get" action="./entries.php">';
  $echo = $echo . '<label for="username">id:</label><input type="text" name="user" maxlength="32" id="username"/><label for="username">のエントリーを</label><input type="submit" value="表示" />';
  if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '<input type="hidden" name="image" value="on" />';
  $echo = $echo . '</form></li>'."\n";
}

// $echo = $echo . "<li><a href=\"./config.php";
// if (isset($get_image) && $get_image == 'on') $echo = $echo . '?image=on';
// $echo = $echo . "\" class=\"user\">YANMAH2 の設定</a></li>\n";
$echo = $echo . "</ul>\n</div>\n";
?>
<?php
$echo = $echo . <<<EOL
<div class="index-content content">
<h2 id="entries-index-head">みんなのページ</h2>
<ul>
EOL;
$echo = $echo . '<li><a href="./entries.php';
if(isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '?image=on';
$echo = $echo . '" class="entries">みんなのエントリー</a></li>';
$echo = $echo . '<li><a href="./entries.php?album=public';
if(isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '&amp;image=on';
$echo = $echo . '" class="entries">みんなのアルバム</a></li>';
$echo = $echo . '<li><a href="./entries.php?users=public';
if(isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '&amp;image=on';
$echo = $echo . '" class="entries">ユーザー一覧</a></li>';
$echo = $echo . "</ul>\n</div>\n";
?>
<?php
$echo = $echo . <<<EOL
<div class="index-content">
<h2 id="keywords-index-head">キーワード</h2>
<ul>
<li><form method="get" action="./keywords.php" accept-charset="{$meta_charset}">
<label for="go2keyword">キーワード</label><input type="text" name="word" maxlength="170" id="go2keyword" /><label for="go2keyword">を</label>
<input type="submit" value="検索" />
EOL;
if (isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '<input type="hidden" name="image" value="on" />';
$echo = $echo . '</form></li>';
$request_url = "{$api_base_url}keywords/hot.xml".'?without_related_keywords=1';
// $use_cache = FALSE;
require_once 'keywords_processor.php';
?>
<?php
if (isset($_SESSION['auth']) && $_SESSION['auth'] === TRUE){
	$echo = $echo . '<li><a href="./keywords.php?user=' . $_SESSION['hatenaid'];
	$echo = $echo . '" class="keyword">' . $_SESSION['hatenaid'] . ' のお気に入りキーワード</a></li>' . "\n";
}
$echo = $echo . '<li><a href="./keywords.php';
if(isset($_GET['image']) && $_GET['image'] == 'on') $echo = $echo . '?image=on';
$echo = $echo . '" class="keyword">キーワード一覧</a></li>';
$echo = $echo . "</ul>\n</div>\n</div>\n<hr />\n";
?>
<?php
$echo = $echo . echoCommonFooter('#com-hdr');
$echo = $echo . $footer;
$echo = $echo . '</body></html>';
echo mb_convert_encoding($echo, $charcode, 'UTF-8');
if (isset($_SESSION['oauth_stat'])) unset($_SESSION['oauth_stat']);
?>